Skip to content

Verifications

A borrower verification session represents the question and response flow for an agent to verify the identity of a human who purports to be a particular borrower. For instance, upon receiving a phone call, an agent would initiate a borrower verification, ask the questions to the borrower, and enter their responses. A set of responses are either correct (thus verifying the human as the borrower) or they are incorrect.

The agent is never shown the correct answers, so privacy risks are minimized and socially engineered security attacks are mitigated.

Get verifications

Request

Retrieve all verifications—optionally filtering. Note that unlike most Peach "get all" endpoints, the verifications get all endpoint returns items in a reverse chronological list, since almost all interesting verifications are those which happened in the recent past.

Security
oauth2(Required scopes: verification:list) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

Query
limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

statusArray of strings

The comma separated list of status values of verifications to include in the response. If not included, include all verifications.

GET
/people/{personId}/verifications
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/verifications?limit=25&startingAfter=string&endingBefore=string&status=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Total number of items in this result.

statusinteger

HTTP status code.

dataArray of objects(verification)
Response
{ "count": 0, "status": 0, "data": [ {} ] }